org.restlet.engine.http.header

## Class CookieSettingReader

- java.lang.Object
- - org.restlet.engine.http.header.HeaderReader<CookieSetting>
  - - org.restlet.engine.http.header.CookieSettingReader

    public class CookieSettingReader
    extends HeaderReader<CookieSetting>

Cookie setting header reader.

Author:
  Jerome Louvel

### Constructor Summary

Constructors
Constructor and Description
`CookieSettingReader(java.lang.String header)` Constructor.

### Method Summary

Methods
`static CookieSetting` `read(java.lang.String cookieSetting)` Parses the given String to a CookieSetting
`CookieSetting` `readValue()` Read the next value.

### Methods inherited from class org.restlet.engine.http.header.HeaderReader

`addValues, canAdd, createParameter, createParameter, mark, peek, read, readComment, readDate, readDigits, readHeader, readHeader, readParameter, readParameterValue, readQuotedString, readRawText, readRawValue, readToken, readValues, reset, skipParameterSeparator, skipSpaces, skipValueSeparator, unread`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CookieSettingReader

    public CookieSettingReader(java.lang.String header)

Constructor.

Parameters:
  `header` - The header to read.

### Method Detail

#### read

    public static CookieSetting read(java.lang.String cookieSetting)
                              throws java.lang.IllegalArgumentException

Parses the given String to a CookieSetting

Parameters:
  `cookieSetting` -
Returns:
  the CookieSetting parsed from the String
Throws:
  `java.lang.IllegalArgumentException` - Thrown if the String can not be parsed as CookieSetting.

#### readValue

    public CookieSetting readValue()
                            throws java.io.IOException

Description copied from class: `HeaderReader`
Read the next value. There can be multiple values for a single header.

Overrides:
  `readValue` in class `HeaderReader<CookieSetting>`
Returns:
  The next value.
Throws:
  `java.io.IOException`